@IsTest
private class TestCreatePositionComponentCtrl {
    /*
    static String ns = SalesIQGlobalConstants.getOrgNameSpace();
    static Team__c baseTeam ;
    static team__c overlayTeam; 
    static Team_Instance__c BaseTeamInstance ;
    static Team_instance__c overlayTeamInstance;
   	static Position__c region;
    static position__c district;
    static position__c district1;
    static position__c territory;
    static position__c territory1;
    static Position__c territoryOverlay;
    static Position__c territoryOverlay1;
    static Position__c districtOverlay;
    static Position_Team_Instance__c territoryTeamInstance;
    static Scenario__c scenario;
    static Position_Team_Instance__c territoryTeamInstanceOverlay;
    
    
    static {
        
        TriggerContol__c triggerControl = new TriggerContol__c (IsStopTrigger__c = true , Name='SecurityUtil');
         insert triggerControl;
     
        Workspace__c workSpace = CallPlanTestDataFactory.createWorkspace();
        insert workSpace;

        TriggerContol__c triggerControlPosition = new TriggerContol__c (IsStopTrigger__c = true , Name='PositionTrigger');
        insert triggerControlPosition;

        TriggerContol__c triggerControlCRtrigger = new TriggerContol__c (IsStopTrigger__c = true , Name='ChangeRequestTrigger ');
        insert triggerControlCRtrigger;

        baseTeam = new Team__c(Name='HTN',Type__c='Base',Effective_start_Date__c = Date.newInstance(2015, 1, 1), Effective_End_Date__c = Date.newInstance(2018, 12, 31));
        insert baseTeam;
        
        overlayTeam = new Team__c(Name='HTN Overlay',Type__c='Overlay',Effective_start_Date__c = Date.newInstance(2015, 1, 1), Effective_End_Date__c = Date.newInstance(2018, 12, 31), Controlling_Team__c= baseTeam.id);
        insert overlayTeam;
          
        BaseTeamInstance = new Team_Instance__c();
        BaseTeamInstance.Name = 'HTN_Q1_2016';
        BaseTeamInstance.Alignment_Period__c = 'Current';
        BaseTeamInstance.Team__c = baseTeam.id;
        BaseTeamInstance.IC_EffstartDate__c = Date.newInstance(2015, 1, 1);
        BaseTeamInstance.IC_EffendDate__c = Date.newInstance(2018, 12, 31);
        BaseTeamInstance.Alignment_Type__c = 'ZIP';
        BaseTeamInstance.isActiveCycle__c = 'Y'; 
        BaseTeamInstance.IsCascadeDeleteAssignments__c = true;
        insert BaseTeamInstance;

        scenario = CallPlanTestDataFactory.createScenario(workSpace, baseTeamInstance);
        insert scenario;

        overlayTeamInstance = new Team_Instance__c();
        overlayTeamInstance.Name = 'HTN_Overlay_2016';
        overlayTeamInstance.Alignment_Period__c = 'Current';
        overlayTeamInstance.Team__c = overlayTeam.id;
        overlayTeamInstance.Base_team_Instance__c = baseTeamInstance.id;
        overlayTeamInstance.Alignment_Type__c = 'ZIP';
        overlayTeamInstance.IC_EffstartDate__c = Date.newInstance(2015, 1, 1);
        overlayTeamInstance.IC_EffendDate__c = Date.newInstance(2018, 12, 31);
        overlayTeamInstance.isActiveCycle__c = 'Y';
        overlayTeamInstance.IsCascadeDeleteAssignments__c = true;   
        overlayTeamInstance.Converging_Level__c = 2;
        insert overlayTeamInstance;
        
        
                
        Position__c nation = new Position__c();
        nation.name = 'USA';
        nation.Client_Territory_Name__c = 'North east';
        nation.Client_Position_Code__c = 'Dist0001';
        nation.Client_Territory_Code__c='1NE30000';
        nation.Position_Type__c='Nation';
        nation.inactive__c = false;
        nation.RGB__c = '41,210,117';
        nation.Team_Instance__c = baseTeamInstance.Id;
        nation.Team_iD__c = baseTeam.id;
        nation.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        nation.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        nation.Hierarchy_Level__c = '4';
        nation.Position_Category__c = 'Field Position';
        insert nation;
        
        region = new Position__c();
        region.name = 'North east';
        region.Client_Territory_Name__c = 'North east';
        region.Client_Position_Code__c = 'Terr0001';
        region.Client_Territory_Code__c='1NE30000';
        region.Position_Type__c='Region';
        region.inactive__c = false;
        region.RGB__c = '41,210,117';
        region.Team_Instance__c = baseTeamInstance.id;
        region.Team_iD__c = baseTeam.id;
        region.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        region.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        region.Hierarchy_Level__c = '3';
        region.Parent_Position__c = nation.Id;
        region.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        insert region;
        
        Position_Team_Instance__c regionTeamInstance = CallPlanTestDataFactory.CreatePosTeamInstance(region, null, BaseTeamInstance);
        regionTeamInstance.X_Max__c=-72.6966429900;
        regionTeamInstance.X_Min__c=-73.9625820000;
        regionTeamInstance.Y_Max__c=40.9666490000;
        regionTeamInstance.Y_Min__c=40.5821279800;
        insert regionTeamInstance;
        
        district = new Position__c();
        district.name = 'Newyork';
        district.Client_Territory_Name__c = 'Newyork';
        district.Client_Position_Code__c = 'Dist0002';
        district.Client_Territory_Code__c='1NE30001';
        district.Position_Type__c='District';
        district.inactive__c = false;
        district.RGB__c = '41,210,117';
        district.Team_iD__c = baseTeam.id;
        district.Team_Instance__c = baseTeamInstance.id;
        district.Parent_Position__c = region.Id;
        district.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        district.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        district.Hierarchy_Level__c = '2';
        district.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        district.Related_Position_Type__c = 'Base';
        insert district;
        
        Position_Team_Instance__c districtTeamInstance = CallPlanTestDataFactory.CreatePosTeamInstance(district, region, BaseTeamInstance);
        districtTeamInstance.X_Max__c=-72.6966429900;
        districtTeamInstance.X_Min__c=-73.9625820000;
        districtTeamInstance.Y_Max__c=40.9666490000;
        districtTeamInstance.Y_Min__c=40.5821279800;
        insert districtTeamInstance;
        
        
        district1 = new Position__c();
        district1.name = 'Newyork';
        district1.Client_Territory_Name__c = 'Newyork';
        district1.Client_Position_Code__c = 'Dist0003';
        district1.Client_Territory_Code__c='1NE30001';
        district1.Position_Type__c='District';
        district1.inactive__c = false;
        district1.RGB__c = '41,210,117';
        district1.Team_iD__c = baseTeam.id;
        district1.Team_Instance__c = baseTeamInstance.id;
        district1.Parent_Position__c = region.Id;
        district1.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        district1.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        district1.Hierarchy_Level__c = '2';
        district1.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        district1.Related_Position_Type__c = 'Base';
        insert district1;
        
        
        Position_Team_Instance__c district1TeamInstance = CallPlanTestDataFactory.CreatePosTeamInstance(district1, nation, BaseTeamInstance);
        district1TeamInstance.X_Max__c=-72.6966429900;
        district1TeamInstance.X_Min__c=-73.9625820000;
        district1TeamInstance.Y_Max__c=40.9666490000;
        district1TeamInstance.Y_Min__c=40.5821279800;
        insert district1TeamInstance;
        
        districtOverlay = new Position__c();
        districtOverlay.name = 'Newyork Overlay';
        districtOverlay.Client_Territory_Name__c = 'Newyork overlay';
        districtOverlay.Client_Position_Code__c = 'Dist0004';
        districtOverlay.Client_Territory_Code__c='1NE30001overlay';
        districtOverlay.Position_Type__c='District';
        districtOverlay.inactive__c = false;
        districtOverlay.RGB__c = '41,210,117';
        districtOverlay.Team_Instance__c = OverlayTeamInstance.id;
        districtOverlay.Team_iD__c = overlayTeam.id;
        districtOverlay.Parent_Position__c = region.Id;
        districtOverlay.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        districtOverlay.parent_position_code__c = region.Client_Position_Code__c;
        districtOverlay.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        districtOverlay.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        districtOverlay.Hierarchy_Level__c = '2';
        
        insert  districtOverlay;
        
        territory = new Position__c();
        territory.name = 'Long Island East';
        territory.Client_Territory_Name__c = 'Long Island East';
        territory.Client_Position_Code__c = 'Terr0002';
        territory.Client_Territory_Code__c='1NE30011';
        territory.Position_Type__c='Territory';
        territory.inactive__c = false;
        territory.RGB__c = '41,210,117';
        territory.Team_Instance__c = BaseTeamInstance.id;
        territory.Position_Category__c = SalesIQGlobalConstants.NON_FIELD_POSITION;
        territory.Team_iD__c = baseTeam.id;
        territory.Parent_Position__c = district.Id;
        territory.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        territory.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        territory.Related_Position_Type__c = 'Base';
        territory.Hierarchy_Level__c = '1';
        insert territory;
        
        territoryTeamInstance = CallPlanTestDataFactory.CreatePosTeamInstance(territory, district, BaseTeamInstance);
        territoryTeamInstance.X_Max__c=-72.6966429900;
        territoryTeamInstance.X_Min__c=-73.9625820000;
        territoryTeamInstance.Y_Max__c=40.9666490000;
        territoryTeamInstance.Y_Min__c=40.5821279800;
        
        insert territoryTeamInstance;
        
        territory1 = new Position__c();
        territory1.name = 'Long Island East';
        territory1.Client_Territory_Name__c = 'Long Island East';
        territory1.Client_Position_Code__c = 'Terr0002';
        territory1.Client_Territory_Code__c='1NE30011';
        territory1.Position_Type__c='Territory';
        territory1.inactive__c = false;
        territory1.RGB__c = '41,210,117';
        territory1.Team_Instance__c = baseTeamInstance.id;
        territory1.Team_iD__c = baseTeam.id;
        territory1.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        territory1.Parent_Position__c = district.Id;
        territory1.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        territory1.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        territory1.Related_Position_Type__c = 'Base';
        territory1.Hierarchy_Level__c = '1';
        insert territory1;
        
        Position__c unassignedterritory = new Position__c();
        unassignedterritory.name = 'Long Island East';
        unassignedterritory.Team_Instance__c = baseTeamInstance.id;
        unassignedterritory.Client_Territory_Name__c = 'Long Island East';
        unassignedterritory.Client_Position_Code__c = '00000';
        unassignedterritory.Client_Territory_Code__c='1NE30011';
        unassignedterritory.Position_Type__c='Territory';
        unassignedterritory.inactive__c = false;
        unassignedterritory.RGB__c = '41,210,117';
        unassignedterritory.Team_iD__c = baseTeam.id;
        unassignedterritory.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        unassignedterritory.Parent_Position__c = district.Id;
        unassignedterritory.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        unassignedterritory.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        unassignedterritory.Related_Position_Type__c = 'Base';
        unassignedterritory.Hierarchy_Level__c = '1';
        insert unassignedterritory;
        
        Position__c unassignedterritoryOverlay = new Position__c();
        unassignedterritoryOverlay.name = 'Long Island East';
        unassignedterritoryOverlay.Team_Instance__c = OverlayTeamInstance.id;
        unassignedterritoryOverlay.Client_Territory_Name__c = 'Long Island East';
        unassignedterritoryOverlay.Client_Position_Code__c = '00000';
        unassignedterritoryOverlay.Client_Territory_Code__c='1NE30011';
        unassignedterritoryOverlay.Position_Type__c='Territory';
        unassignedterritoryOverlay.inactive__c = false;
        unassignedterritoryOverlay.RGB__c = '41,210,117';
        unassignedterritoryOverlay.Team_iD__c = overlayTeam.id;
        unassignedterritoryOverlay.Parent_Position__c = district.Id;
        unassignedterritoryOverlay.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        unassignedterritoryOverlay.Effective_start_Date__c = Date.newInstance(2015, 1, 1);
        unassignedterritoryOverlay.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        unassignedterritoryOverlay.Related_Position_Type__c = 'overlay';
        unassignedterritoryOverlay.Hierarchy_Level__c = '1';
        insert unassignedterritoryOverlay;
        
        territoryOverlay = new Position__c();
        territoryOverlay.name = 'Long Island East';
        territoryOverlay.Client_Territory_Name__c = 'Long Island East';
        territoryOverlay.Client_Position_Code__c = 'Terr0003';
        territoryOverlay.Client_Territory_Code__c='1NE30011';
        territoryOverlay.Team_Instance__c = overlayTeamInstance.id;
        territoryOverlay.Position_Type__c='Territory';
        territoryOverlay.inactive__c = false;
        territoryOverlay.RGB__c = '41,210,117';
        territoryOverlay.Team_iD__c = overlayTeam.id;
        territoryOverlay.Parent_Position__c = district.Id;
        territoryOverlay.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        territoryOverlay.Effective_start_Date__c = Date.newInstance(2015, 1, 1);
        territoryOverlay.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        territoryOverlay.Related_Position_Type__c = 'Overlay';
        territoryOverlay.Hierarchy_Level__c = '1';
        insert territoryOverlay;
        
        territoryTeamInstanceOverlay = CallPlanTestDataFactory.CreatePosTeamInstance(territoryOverlay, district, overlayTeamInstance);
        territoryTeamInstanceOverlay.X_Max__c=-72.6966429900;
        territoryTeamInstanceOverlay.X_Min__c=-73.9625820000;
        territoryTeamInstanceOverlay.Y_Max__c=40.9666490000;
        territoryTeamInstanceOverlay.Y_Min__c=40.5821279800;
        territoryTeamInstanceOverlay.Parent_Position_ID__c = district.id;
        insert territoryTeamInstanceOverlay;
        
        territoryOverlay1 = new Position__c();
        territoryOverlay1.name = 'Long Island East1';
        territoryOverlay1.Team_Instance__c = overlayTeamInstance.id;
        territoryOverlay1.Client_Territory_Name__c = 'Long Island East1';
        territoryOverlay1.Client_Position_Code__c = 'Terr0021';
        territoryOverlay1.Client_Territory_Code__c='1NE300111';
        territoryOverlay1.Position_Type__c='Territory';
        territoryOverlay1.inactive__c = false;
        territoryOverlay1.RGB__c = '41,210,117';
        territoryOverlay1.Team_iD__c = overlayTeam.id;
        territoryOverlay1.Parent_Position__c = district1.Id;
        territoryOverlay1.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        territoryOverlay1.Effective_start_Date__c = Date.newInstance(2015, 1, 1);
        territoryOverlay1.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        territoryOverlay1.Hierarchy_Level__c = '1';
        territoryOverlay1.Related_Position_Type__c = 'Overlay';
        insert territoryOverlay1;
        
        Position__c destTerr = new Position__c();
        destTerr.Name = 'Long Island West';
        destTerr.Client_Territory_Name__c = 'Long Island West';
        destTerr.Client_Position_Code__c = 'Dist0005';
        destTerr.Client_Territory_Code__c='1NE30012';
        destTerr.Position_Type__c='Territory';
        destTerr.inactive__c = false;
        destTerr.RGB__c = '41,210,117';
        destTerr.Team_Instance__c = baseTeamInstance.id;
        destTerr.Team_iD__c = baseTeam.id;
        destTerr.Parent_Position__c = district.Id;
        destTerr.Position_Category__c = SalesIQGlobalConstants.FIELD_POSITION;
        destTerr.Effective_Start_Date__c = Date.newInstance(2015, 1, 1);
        destTerr.Effective_End_Date__c = Date.newInstance(2018, 12, 31);
        destTerr.Hierarchy_Level__c = '1';
        insert destTerr;
        
        Position_Team_Instance__c destTerrTeamInstance = CallPlanTestDataFactory.CreatePosTeamInstance(destTerr, district, BaseTeamInstance);
        destTerrTeamInstance.X_Max__c=-72.6966429900;
        destTerrTeamInstance.X_Min__c=-73.9625820000;
        destTerrTeamInstance.Y_Max__c=40.9666490000;
        destTerrTeamInstance.Y_Min__c=40.5821279800;
        insert destTerrTeamInstance;

        Team_Instance_Object_Attribute__c teamInstAttrUpdate =  new Team_Instance_Object_Attribute__c();
        teamInstAttrUpdate.Interface_Name__c = 'Alignment: Update Position Attributes PopUp';
        teamInstAttrUpdate.Attribute_API_Name__c = 'Name';
        teamInstAttrUpdate.Object_Name__c = 'Position__c';
        teamInstAttrUpdate.Data_Type__c = 'Text';
        teamInstAttrUpdate.Attribute_Display_Name__c = 'Position Name';
        teamInstAttrUpdate.isEnabled__c = true;
        teamInstAttrUpdate.isEditable__c = true;
        teamInstAttrUpdate.IsAutoSuggested__c  = false;
        teamInstAttrUpdate.isRequired__c   = true;
        teamInstAttrUpdate.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrUpdate.Display_Column_Order__c = 1;
        insert teamInstAttrUpdate;
        
         Team_Instance_Object_Attribute__c teamInstAttrUpdateParent =  new Team_Instance_Object_Attribute__c();
        teamInstAttrUpdateParent.Interface_Name__c = 'Alignment: Update Position Attributes PopUp';
        teamInstAttrUpdateParent.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Client_Territory_Code__c';
        teamInstAttrUpdateParent.Object_Name__c = 'Position__c';
        teamInstAttrUpdateParent.Data_Type__c = 'Text';
        teamInstAttrUpdateParent.Attribute_Display_Name__c = 'Position Parent';
        teamInstAttrUpdateParent.isEnabled__c = true;
        teamInstAttrUpdateParent.isEditable__c = true;
        teamInstAttrUpdateParent.IsAutoSuggested__c  = false;
        teamInstAttrUpdateParent.isRequired__c   = true;
        teamInstAttrUpdateParent.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrUpdateParent.Display_Column_Order__c = 1;
        insert teamInstAttrUpdateParent;
        
        Team_Instance_Object_Attribute__c teamInstAttrUpdateType =  new Team_Instance_Object_Attribute__c();
        teamInstAttrUpdateType.Interface_Name__c = 'Alignment: Update Position Attributes PopUp';
        teamInstAttrUpdateType.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Position_Type__c';
        teamInstAttrUpdateType.Object_Name__c = 'Position__c'; 
        teamInstAttrUpdateType.Data_Type__c = 'Text';
        teamInstAttrUpdateType.Attribute_Display_Name__c = 'Position Type';
        teamInstAttrUpdateType.isEnabled__c = true;
        teamInstAttrUpdateType.isEditable__c = false;
        teamInstAttrUpdateType.IsAutoSuggested__c  = false;
        teamInstAttrUpdateType.isRequired__c   = true;
        teamInstAttrUpdateType.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrUpdateType.Display_Column_Order__c = 1;
        insert teamInstAttrUpdateType;

       

        Team_Instance_Object_Attribute__c teamInstAttrHierarchy =  new Team_Instance_Object_Attribute__c();
        teamInstAttrHierarchy.Interface_Name__c = 'Alignment: Hierarchy Change PopUp';
        teamInstAttrHierarchy.Attribute_API_Name__c = 'Name';
        teamInstAttrHierarchy.Object_Name__c = 'Position__c';
        teamInstAttrHierarchy.Data_Type__c = 'Text';
        teamInstAttrHierarchy.Attribute_Display_Name__c = 'Position Name';
        teamInstAttrHierarchy.isEnabled__c = true;
        teamInstAttrHierarchy.isEditable__c = true;
        teamInstAttrHierarchy.IsAutoSuggested__c  = false;
        teamInstAttrHierarchy.isRequired__c   = true;
        teamInstAttrHierarchy.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrHierarchy.Display_Column_Order__c = 1;
        insert teamInstAttrHierarchy;

        Team_Instance_Object_Attribute__c teamInstAttrHierarchyType =  new Team_Instance_Object_Attribute__c();
        teamInstAttrHierarchyType.Interface_Name__c = 'Alignment: Hierarchy Change PopUp';
        teamInstAttrHierarchyType.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Position_Type__c';
        teamInstAttrHierarchyType.Object_Name__c = 'Position__c';
        teamInstAttrHierarchyType.Data_Type__c = 'Text';
        teamInstAttrHierarchyType.Attribute_Display_Name__c = 'Position Type';
        teamInstAttrHierarchyType.isEnabled__c = true;
        teamInstAttrHierarchyType.isEditable__c = true;
        teamInstAttrHierarchyType.IsAutoSuggested__c  = false;
        teamInstAttrHierarchyType.isRequired__c   = true;
        teamInstAttrHierarchyType.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrHierarchyType.Display_Column_Order__c = 1;
        insert teamInstAttrHierarchyType;

        Team_Instance_Object_Attribute__c teamInstAttrDelete =  new Team_Instance_Object_Attribute__c();
        teamInstAttrDelete.Interface_Name__c = 'Alignment: Delete Position PopUp';
        teamInstAttrDelete.Attribute_API_Name__c = 'Name';
        teamInstAttrDelete.Object_Name__c = 'Position__c';
        teamInstAttrDelete.Data_Type__c = 'Text';
        teamInstAttrDelete.Attribute_Display_Name__c = 'Position Name';
        teamInstAttrDelete.isEnabled__c = true;
        teamInstAttrDelete.isEditable__c = true;
        teamInstAttrDelete.IsAutoSuggested__c  = false;
        teamInstAttrDelete.isRequired__c   = true;
        teamInstAttrDelete.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrDelete.Display_Column_Order__c = 1;
        insert teamInstAttrDelete;

        Team_Instance_Object_Attribute__c teamInstAttrDeleteStart =  new Team_Instance_Object_Attribute__c();
        teamInstAttrDeleteStart.Interface_Name__c = 'Alignment: Delete Position PopUp';
        teamInstAttrDeleteStart.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Effective_start_Date__c';
        teamInstAttrDeleteStart.Object_Name__c = 'Position__c';
        teamInstAttrDeleteStart.Data_Type__c = 'Text';
        teamInstAttrDeleteStart.Attribute_Display_Name__c = 'Effective Start Date';
        teamInstAttrDeleteStart.isEnabled__c = true;
        teamInstAttrDeleteStart.isEditable__c = true;
        teamInstAttrDeleteStart.IsAutoSuggested__c  = false;
        teamInstAttrDeleteStart.isRequired__c   = true;
        teamInstAttrDeleteStart.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrDeleteStart.Display_Column_Order__c = 1;
        insert teamInstAttrDeleteStart;

        Team_Instance_Object_Attribute__c teamInstAttrDeleteEnd =  new Team_Instance_Object_Attribute__c();
        teamInstAttrDeleteEnd.Interface_Name__c = 'Alignment: Delete Position PopUp';
        teamInstAttrDeleteEnd.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Effective_End_Date__c';
        teamInstAttrDeleteEnd.Object_Name__c = 'Position__c';
        teamInstAttrDeleteEnd.Data_Type__c = 'Text';
        teamInstAttrDeleteEnd.Attribute_Display_Name__c = 'Effective End Date';
        teamInstAttrDeleteEnd.isEnabled__c = true;
        teamInstAttrDeleteEnd.isEditable__c = true;
        teamInstAttrDeleteEnd.IsAutoSuggested__c  = false;
        teamInstAttrDeleteEnd.isRequired__c   = true;
        teamInstAttrDeleteEnd.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrDeleteEnd.Display_Column_Order__c = 1;
        insert teamInstAttrDeleteEnd;

        Team_Instance_Object_Attribute__c teamInstAttrDeleteTeam =  new Team_Instance_Object_Attribute__c();
        teamInstAttrDeleteTeam.Interface_Name__c = 'Alignment: Delete Position PopUp';
        teamInstAttrDeleteTeam.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Team_Id__c';
        teamInstAttrDeleteTeam.Object_Name__c = 'Position__c';
        teamInstAttrDeleteTeam.Data_Type__c = 'Text';
        teamInstAttrDeleteTeam.Attribute_Display_Name__c = 'Team';
        teamInstAttrDeleteTeam.isEnabled__c = true;
        teamInstAttrDeleteTeam.isEditable__c = true;
        teamInstAttrDeleteTeam.IsAutoSuggested__c  = false;
        teamInstAttrDeleteTeam.isRequired__c   = true;
        teamInstAttrDeleteTeam.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrDeleteTeam.Display_Column_Order__c = 1;
        insert teamInstAttrDeleteTeam;
        
        Team_Instance_Object_Attribute__c teamInstAttr =  new Team_Instance_Object_Attribute__c();
        teamInstAttr.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr.Attribute_API_Name__c = 'Name';
        teamInstAttr.Object_Name__c = 'Position__c';
        teamInstAttr.Data_Type__c = 'Text';
        teamInstAttr.Attribute_Display_Name__c = 'Position Name';
        teamInstAttr.isEnabled__c = true;
        teamInstAttr.isEditable__c = true;
        teamInstAttr.IsAutoSuggested__c  = false;
        teamInstAttr.isRequired__c   = true;
        teamInstAttr.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr.Display_Column_Order__c = 1;

        Team_Instance_Object_Attribute__c teamInstAttrPositionType =  new Team_Instance_Object_Attribute__c();
        teamInstAttrPositionType.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttrPositionType.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Position_Type__c';
        teamInstAttrPositionType.Object_Name__c = 'Position__c';
        teamInstAttrPositionType.Data_Type__c = 'Multiselect';
        teamInstAttrPositionType.Attribute_Display_Name__c = 'Position Type';
        teamInstAttrPositionType.isEnabled__c = true;
        teamInstAttrPositionType.isEditable__c = true;
        teamInstAttrPositionType.IsAutoSuggested__c  = false;
        teamInstAttrPositionType.isRequired__c   = true;
        teamInstAttrPositionType.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrPositionType.Display_Column_Order__c = 1;
        insert teamInstAttrPositionType;

        Team_Instance_Object_Attribute__c teamInstAttrPositionCategory =  new Team_Instance_Object_Attribute__c();
        teamInstAttrPositionCategory.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttrPositionCategory.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Position_Category__c';
        teamInstAttrPositionCategory.Object_Name__c = 'Position__c';
        teamInstAttrPositionCategory.Data_Type__c = 'Text';
        teamInstAttrPositionCategory.Attribute_Display_Name__c = 'Position Type';
        teamInstAttrPositionCategory.isEnabled__c = true;
        teamInstAttrPositionCategory.isEditable__c = true;
        teamInstAttrPositionCategory.IsAutoSuggested__c  = false;
        teamInstAttrPositionCategory.isRequired__c   = true;
        teamInstAttrPositionCategory.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrPositionCategory.Display_Column_Order__c = 1;
        insert teamInstAttrPositionCategory;
        
        Team_Instance_Object_Attribute__c teamInstAttr8 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr8.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr8.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE  + 'Effective_start_Date__c';
        teamInstAttr8.Object_Name__c = 'Position__c';
        teamInstAttr8.Data_Type__c = 'Date';
        teamInstAttr8.Attribute_Display_Name__c = 'Effective Start Date';
        teamInstAttr8.isEnabled__c = true;
        teamInstAttr8.isEditable__c = true;
        teamInstAttr8.IsAutoSuggested__c     = true;
        teamInstAttr8.isRequired__c  = true;
        teamInstAttr8.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr8.Display_Column_Order__c = 1;
        
        Team_Instance_Object_Attribute__c teamInstAttr9 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr9.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr9.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE  + 'Effective_End_Date__c';
        teamInstAttr9.Object_Name__c = 'Position__c';
        teamInstAttr9.Data_Type__c = 'Text';
        teamInstAttr9.Attribute_Display_Name__c = 'Effective End Date';
        teamInstAttr9.isEnabled__c = true;
        teamInstAttr9.isEditable__c = true;
        teamInstAttr9.IsAutoSuggested__c     = true;
        teamInstAttr9.isRequired__c  = true;
        teamInstAttr9.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr9.Display_Column_Order__c = 1;
        
        Team_Instance_Object_Attribute__c teamInstAttr11 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr11.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr11.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE  + 'Effective_start_Date__c';
        teamInstAttr11.Object_Name__c = 'Position__c';
        teamInstAttr11.Data_Type__c = 'Date';
        teamInstAttr11.Attribute_Display_Name__c = 'Effective Start Date';
        teamInstAttr11.isEnabled__c = true;
        teamInstAttr11.isEditable__c = true;
        teamInstAttr11.IsAutoSuggested__c    = true;
        teamInstAttr11.isRequired__c     = true;
        teamInstAttr11.Team_Instance__c = OverlayTeamInstance.Id;
        teamInstAttr11.Display_Column_Order__c = 1;
        
        Team_Instance_Object_Attribute__c teamInstAttr10 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr10.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr10.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE  + 'Effective_End_Date__c';
        teamInstAttr10.Object_Name__c = 'Position__c';
        teamInstAttr10.Data_Type__c = 'Text';
        teamInstAttr10.Attribute_Display_Name__c = 'Effective End Date';
        teamInstAttr10.isEnabled__c = true;
        teamInstAttr10.isEditable__c = true;
        teamInstAttr10.IsAutoSuggested__c    = true;
        teamInstAttr10.isRequired__c     = true;
        teamInstAttr10.Team_Instance__c = OverlayTeamInstance.Id;
        teamInstAttr10.Display_Column_Order__c = 1;
        
        Team_Instance_Object_Attribute__c teamInstAttr14 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr14.Interface_Name__c = 'Alignment: Edit Position Popup';
        teamInstAttr14.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE  + 'Effective_start_Date__c';
        teamInstAttr14.Object_Name__c = 'Position__c';
        teamInstAttr14.Data_Type__c = 'Date';
        teamInstAttr14.Attribute_Display_Name__c = 'Effective Start Date';
        teamInstAttr14.isEnabled__c = true;
        teamInstAttr14.isEditable__c = true;
        teamInstAttr14.IsAutoSuggested__c    = true;
        teamInstAttr14.isRequired__c     = true;
        teamInstAttr14.Team_Instance__c = baseTeamInstance.Id;
        teamInstAttr14.Display_Column_Order__c = 1;
        
        Team_Instance_Object_Attribute__c teamInstAttr1 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr1.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr1.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Client_Position_Code__c';
        teamInstAttr1.Object_Name__c = 'Position__c';
        teamInstAttr1.Data_Type__c = 'Text';
        teamInstAttr1.Attribute_Display_Name__c = 'Position Code';
        teamInstAttr1.isEnabled__c = true;
        teamInstAttr1.isEditable__c = true;
        teamInstAttr1.IsAutoSuggested__c     = true;
        teamInstAttr1.isRequired__c  = true;
        teamInstAttr1.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr1.Display_Column_Order__c = 2;
        //insert teamInstAttr1;
        
        Team_Instance_Object_Attribute__c teamInstAttr2 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr2.Interface_Name__c = 'Alignment: Edit Position Popup';
        teamInstAttr2.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Client_Position_Code__c';
        teamInstAttr2.Object_Name__c = 'Position__c';
        teamInstAttr2.Data_Type__c = 'Text';
        teamInstAttr2.Attribute_Display_Name__c = 'Position Code';
        teamInstAttr2.isEnabled__c = true;
        teamInstAttr2.isEditable__c = true;
        teamInstAttr2.IsAutoSuggested__c     = true;
        teamInstAttr2.isRequired__c  = true;
        teamInstAttr2.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr2.Display_Column_Order__c = 2;
        //insert teamInstAttr2;
        
        Team_Instance_Object_Attribute__c teamInstAttr3 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr3.Interface_Name__c = 'Alignment: Edit Position Popup';
        teamInstAttr3.Attribute_API_Name__c = 'Name';
        teamInstAttr3.Object_Name__c = 'Position__c';
        teamInstAttr3.Data_Type__c = 'Text';
        teamInstAttr3.Attribute_Display_Name__c = 'Position Name';
        teamInstAttr3.isEnabled__c = true;
        teamInstAttr3.isEditable__c = true;
        teamInstAttr3.IsAutoSuggested__c     = true;
        teamInstAttr3.isRequired__c  = true;
        teamInstAttr3.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttr3.Display_Column_Order__c = 1;
        //insert teamInstAttr3;
        
        
        Team_Instance_Object_Attribute__c teamInstAttr4 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr4.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr4.Attribute_API_Name__c = 'Name';
        teamInstAttr4.Object_Name__c = 'Position__c';
        teamInstAttr4.Data_Type__c = 'Text';
        teamInstAttr4.Attribute_Display_Name__c = 'Position Name';
        teamInstAttr4.isEnabled__c = true;
        teamInstAttr4.isEditable__c = true;
        teamInstAttr4.IsAutoSuggested__c     = false;
        teamInstAttr4.isRequired__c  = true;
        teamInstAttr4.Team_Instance__c = overlayTeamInstance.Id;
        teamInstAttr4.Display_Column_Order__c = 1;
        //insert teamInstAttr4;
        
        Team_Instance_Object_Attribute__c teamInstAttr5 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr5.Interface_Name__c = 'Alignment: Create Position Popup';
        teamInstAttr5.Attribute_API_Name__c = ns+'Client_Position_Code__c';
        teamInstAttr5.Object_Name__c = 'Position__c';
        teamInstAttr5.Data_Type__c = 'Text';
        teamInstAttr5.Attribute_Display_Name__c = 'Position Code';
        teamInstAttr5.isEnabled__c = true;
        teamInstAttr5.isEditable__c = true;
        teamInstAttr5.IsAutoSuggested__c     = true;
        teamInstAttr5.isRequired__c  = true;
        teamInstAttr5.Team_Instance__c = overlayTeamInstance.Id;
        teamInstAttr5.Display_Column_Order__c = 2;
        //insert teamInstAttr5;
        
        Team_Instance_Object_Attribute__c teamInstAttr6 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr6.Interface_Name__c = 'Alignment: Edit Position Popup';
        teamInstAttr6.Attribute_API_Name__c = ns+'Client_Position_Code__c';
        teamInstAttr6.Object_Name__c = 'Position__c';
        teamInstAttr6.Data_Type__c = 'Text';
        teamInstAttr6.Attribute_Display_Name__c = 'Position Code';
        teamInstAttr6.isEnabled__c = true;
        teamInstAttr6.isEditable__c = true;
        teamInstAttr6.IsAutoSuggested__c     = true;
        teamInstAttr6.isRequired__c  = true;
        teamInstAttr6.Team_Instance__c = overlayTeamInstance.Id;
        teamInstAttr6.Display_Column_Order__c = 2;
        //insert teamInstAttr6;
        
        Team_Instance_Object_Attribute__c teamInstAttr7 =  new Team_Instance_Object_Attribute__c();
        teamInstAttr7.Interface_Name__c = 'Alignment: Edit Position Popup';
        teamInstAttr7.Attribute_API_Name__c = 'Name';
        teamInstAttr7.Object_Name__c = 'Position__c';
        teamInstAttr7.Data_Type__c = 'Text';
        teamInstAttr7.Attribute_Display_Name__c = 'Position Name';
        teamInstAttr7.isEnabled__c = true;
        teamInstAttr7.isEditable__c = true;
        teamInstAttr7.IsAutoSuggested__c     = true;
        teamInstAttr7.isRequired__c  = true;
        teamInstAttr7.Team_Instance__c = overlayTeamInstance.Id;
        teamInstAttr7.Display_Column_Order__c = 1;
        //insert teamInstAttr7;
        
        Team_Instance_Object_Attribute__c teamInstAttrUpdate66 =  new Team_Instance_Object_Attribute__c();
        teamInstAttrUpdate66.Interface_Name__c = 'Alignment: Create Position PopUp';
        teamInstAttrUpdate66.Attribute_API_Name__c = SalesIQGlobalConstants.NAME_SPACE+'Position_Category__c';
        teamInstAttrUpdate66.Object_Name__c = 'Position__c';
        teamInstAttrUpdate66.Data_Type__c = 'Text';
        teamInstAttrUpdate66.Attribute_Display_Name__c = 'Position Category';
        teamInstAttrUpdate66.isEnabled__c = true;
        teamInstAttrUpdate66.isEditable__c = true;
        teamInstAttrUpdate66.IsAutoSuggested__c  = false;
        teamInstAttrUpdate66.isRequired__c   = true;
        teamInstAttrUpdate66.Team_Instance__c = BaseTeamInstance.Id;
        teamInstAttrUpdate66.Display_Column_Order__c = 1;
        insert teamInstAttrUpdate66;

        insert new Team_Instance_Object_Attribute__c[]{teamInstAttr, teamInstAttr1, teamInstAttr2, teamInstAttr3, teamInstAttr4, teamInstAttr5,
                    teamInstAttr6, teamInstAttr7,teamInstAttr8,teamInstAttr9,teamInstAttr10,teamInstAttr11};
        
        Team_Instance_Configuration__c teamInsConfTerr = new Team_Instance_Configuration__c();
        //teamInsConf.Configuration_Type__c = 
        teamInsConfTerr.name = 'TerrConfig';
        teamInsConfTerr.Hierarchy_Level__c = '1';
        teamInsConfTerr.Pattern_Value__c = 'Terr{0000}';
        teamInsConfTerr.Position_Type__c = 'Territory';
        
        string teamID = baseTeam.id;
        if(teamId.length() > 15){
            teamID = teamID.left(15);
        }
        
        teamInsConfTerr.Team__c = teamID;
        teamInsConfTerr.Team_Instance__c = BaseTeamInstance.id;
        //insert teamInsConfTerr;
         
        Team_Instance_Configuration__c teamInsConfDistr = new Team_Instance_Configuration__c();
        //teamInsConf.Configuration_Type__c = 
        teamInsConfDistr.name = 'DistrictConfig';
        teamInsConfDistr.Hierarchy_Level__c = '2';
        teamInsConfDistr.Pattern_Value__c = 'Dist{0000}';
        teamInsConfDistr.Position_Type__c = 'District';
        teamInsConfDistr.Team__c = teamID;
        teamInsConfDistr.Team_Instance__c = BaseTeamInstance.id;
        //insert teamInsConfDistr;

        insert new Team_Instance_Configuration__c[]{teamInsConfTerr, teamInsConfDistr};
        
        CR_Team_Instance_Config__c crTeamInstConf = new CR_Team_Instance_Config__c();
        //crTeamInstConf.name = 'TerrConfigCr';
        crTeamInstConf.Configuration_Value__c = 'Territory';
        crTeamInstConf.Configuration_Type__c = 'Hierarchy Configuration';
        crTeamInstConf.Configuration_Name__c = '1';
        crTeamInstConf.team_instance__c = BaseTeamInstance.id;
        //insert crTeamInstConf;
        
        CR_Team_Instance_Config__c crTeamInstConfDistrict = new CR_Team_Instance_Config__c();
        //crTeamInstConfDistrict.name = 'DistConfigCr';
        crTeamInstConfDistrict.Configuration_Value__c = 'District';
        crTeamInstConfDistrict.Configuration_Type__c = 'Hierarchy Configuration';
        crTeamInstConfDistrict.Configuration_Name__c = '2';
        crTeamInstConfDistrict.team_instance__c = BaseTeamInstance.id;
        //insert crTeamInstConfDistrict;

        insert new CR_Team_Instance_Config__c[]{crTeamInstConf, crTeamInstConfDistrict} ;

        CR_Team_Instance_Config__c crTeamInstConfOverlay = new CR_Team_Instance_Config__c();
        //crTeamInstConf.name = 'TerrConfigCr';
        crTeamInstConfOverlay.Configuration_Value__c = 'Territory';
        crTeamInstConfOverlay.Configuration_Type__c = 'Hierarchy Configuration';
        crTeamInstConfOverlay.Configuration_Name__c = '1';
        crTeamInstConfOverlay.team_instance__c = overlayTeamInstance.id;
        //insert crTeamInstConf;
        
        CR_Team_Instance_Config__c crTeamInstConfDistrictOverlay = new CR_Team_Instance_Config__c();
        //crTeamInstConfDistrict.name = 'DistConfigCr';
        crTeamInstConfDistrictOverlay.Configuration_Value__c = 'District';
        crTeamInstConfDistrictOverlay.Configuration_Type__c = 'Hierarchy Configuration';
        crTeamInstConfDistrictOverlay.Configuration_Name__c = '2';
        crTeamInstConfDistrictOverlay.team_instance__c = overlayTeamInstance.id;
        //insert crTeamInstConfDistrict;

        insert new CR_Team_Instance_Config__c[]{crTeamInstConfOverlay, crTeamInstConfDistrictOverlay} ;
        
        Change_Request_Type__c newPositionReqType =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.ROSTER);
        Change_Request_Type__c newPositionReqType1 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.DELETE_POSITION);
        Change_Request_Type__c newPositionReqType2 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.Update_POSITION);
        Change_Request_Type__c newPositionReqType3 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.Create_POSITION);
		Change_Request_Type__c newPositionReqType4 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.DELETE_Overlay_POSITION);
        Change_Request_Type__c newPositionReqType5 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.Update_Overlay_POSITION);
        Change_Request_Type__c newPositionReqType6 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.Create_Overlay_POSITION);
        Change_Request_Type__c newPositionReqType7 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.HIERARCHY_CHANGE);
        Change_Request_Type__c newPositionReqType8 =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.UPDATE_POSITION_ATTRIBUTES);

        insert new Change_Request_Type__c[]{newPositionReqType, newPositionReqType1, newPositionReqType2, newPositionReqType3,newPositionReqType4,newPositionReqType5,newPositionReqType6,newPositionReqType7,newPositionReqType8};
        
        CR_Approval_Config__c appConfig = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig1 = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType1.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig2 = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType2.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig3 = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType3.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig4 = new CR_Approval_Config__c(Team_Instance_ID__c = overlayTeamInstance.Id, Change_Request_Type__c = newPositionReqType.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig5 = new CR_Approval_Config__c(Team_Instance_ID__c = overlayTeamInstance.Id, Change_Request_Type__c = newPositionReqType1.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig6 = new CR_Approval_Config__c(Team_Instance_ID__c = overlayTeamInstance.Id, Change_Request_Type__c = newPositionReqType5.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig7 = new CR_Approval_Config__c(Team_Instance_ID__c = overlayTeamInstance.Id, Change_Request_Type__c = newPositionReqType6.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig8 = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType7.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        CR_Approval_Config__c appConfig9 = new CR_Approval_Config__c(Team_Instance_ID__c = BaseTeamInstance.Id, Change_Request_Type__c = newPositionReqType8.Id, HO_Office_User__c = 'Y', HR_User__c = 'N', IsImpactedPosition__c = false, isHigherLevelManagers__c = false, isImpactedManager__c = false);
        insert new CR_Approval_Config__c[]{appConfig, appConfig1, appConfig2, appConfig3,appConfig4, appConfig5, appConfig6, appConfig7, appConfig8, appConfig9};
        
        Related_Position__c relatedPos = new Related_Position__c();
        relatedPos.Related_Position_Team_Instance__c = territoryTeamInstanceOverlay.id;
        relatedPos.Base_Position_Team_Instance__c = territoryTeamInstance.id;
        relatedPos.Related_Position__c = territoryOverlay.id;
        relatedPos.Base_Position__C = territory.id;
        relatedPos.isActive__c = true;
        insert relatedPos;
        
        TotalApproval__c totalApp = new TotalApproval__c(Name='Approvals',No_Of_Approval__c=3);
        insert totalApp;
        
        list<Profile> hoProfile = [SELECT Id FROM Profile WHERE Name =: SalesIQGlobalConstants.HR_PROFILE limit 1];
        if(hoProfile.size() == 0){
            hoProfile = [SELECT Id FROM Profile WHERE Name = 'System Administrator' limit 1];
        }
        
        
    }
    
    static testMethod void TestCreatePositionComponent(){
        
        TriggerContol__c triggerControl = new TriggerContol__c (IsStopTrigger__c = true , Name='SecurityUtil');
         insert triggerControl;
     
      
        CreatePositionCtrl instanceCreateHTN = new CreatePositionCtrl();
        //instanceCreateHTN.hackTestClass();
        CreatePositionCtrl.BasePositionsWrapper wrapper = new CreatePositionCtrl.BasePositionsWrapper(territoryTeamInstance);
        wrapper.basePositionTeamInstance = territoryTeamInstance;
        wrapper.relatedOverlayPositionName = 'sample';
        wrapper.status = 'Pending';
        wrapper.isDisabled = true;
        
        System.debug(instanceCreateHTN.dateFormat);
        System.debug(instanceCreateHTN.mapPositionToHierarchy);
        System.debug(instanceCreateHTN.CURRENT_TEAM_CYCLE_TYPE);
        System.debug(instanceCreateHTN.FUTURE_TEAM_CYCLE_TYPE);
        
        
        instanceCreateHTN.parentID = district.id;
        instanceCreateHTN.selectedTeamCycle = BaseTeamInstance.id;
        instanceCreateHTN.module = 'Alignment';
        //instanceCreateHTN.TeamName = baseTeam.Name;
         
        instanceCreateHTN.operationType = 'Create';
        
        system.debug(instanceCreateHTN.teamType);
        system.debug(instanceCreateHTN.teamInstanceEffectiveStartDate);
        system.debug(instanceCreateHTN.teamInstanceEffectiveEndDate);
        system.debug(instanceCreateHTN.posTeamInst);
        system.debug(instanceCreateHTN.newPosition);
        system.debug(instanceCreateHTN.basePositions);
        system.debug(instanceCreateHTN.isOverlayBasePositionsShow);
        system.debug(instanceCreateHTN.posTeamInst);
        system.debug(instanceCreateHTN.isOperationCreateComplete);
        system.debug(instanceCreateHTN.hierarchyLevel);
        system.debug(instanceCreateHTN.newPositionHierarchyType);
        system.debug(instanceCreateHTN.baseTeamID);
        system.debug(instanceCreateHTN.teamType);   
        system.debug(instanceCreateHTN.base);
        system.debug(instanceCreateHTN.overlay);
        system.debug(instanceCreateHTN.popUPlabel);
        system.debug(instanceCreateHTN.isEditValidationPass);
        system.debug(instanceCreateHTN.isDeleteValidationPass);
        system.debug(instanceCreateHTN.fetchAllRequiredColumns);
        system.debug(instanceCreateHTN.baseTeamInstance);
        system.debug(instanceCreateHTN.teamInstanceEffectiveStartDate);
        system.debug(instanceCreateHTN.teamInstanceEffectiveEndDate);
        system.debug(instanceCreateHTN.positionSelectedName);
        //system.debug(instanceCreateHTN.posToDeleteGeography);
        system.debug(instanceCreateHTN.isEditValidationString);
        system.debug(instanceCreateHTN.isDeleteValidationString);
        system.debug(instanceCreateHTN.urlRedirect);
        system.debug(instanceCreateHTN.oldPosition);
        
      
        
        instanceCreateHTN.isEditValidationString = 'dummy string';
        instanceCreateHTN.isDeleteValidationString = 'dummy string';
        instanceCreateHTN.selectedTeam = BaseTeam.id;
        
       // Position__c createPosition = new Position__c();
        instanceCreateHTN.newposition = territory;
        //instanceCreateHTN.newposition.name = 'North eassdsdt';
        instanceCreateHTN.newposition.Client_Territory_Name__c = 'North1212 east';
        instanceCreateHTN.newposition.Client_Position_Code__c = 'wewe';
        instanceCreateHTN.newposition.Client_Territory_Code__c='1NEdfd30000';
        instanceCreateHTN.newposition.Position_Type__c='Territory';
        instanceCreateHTN.newposition.inactive__c = false;
        instanceCreateHTN.newposition.RGB__c = '41,210,117';
        instanceCreateHTN.newposition.Team_iD__c = baseTeam.id;
        instanceCreateHTN.newposition.Effective_End_Date__c = Date.newInstance(2018,1,1);
        instanceCreateHTN.newposition.Effective_start_Date__c = Date.newInstance(2015,1,1);
        instanceCreateHTN.newposition.Hierarchy_Level__c = '1';
        
        instanceCreateHTN.IdentifyOperationType();
        
        instanceCreateHTN.newposition = territory;
        instanceCreateHTN.newposition.name = 'North eassdsdt';
        instanceCreateHTN.newposition.Client_Territory_Name__c = 'North1212 east';
        instanceCreateHTN.newposition.Client_Position_Code__c = 'wewe';
        instanceCreateHTN.newposition.Client_Territory_Code__c='1NEdfd30000';
        instanceCreateHTN.newposition.Position_Type__c='Territory';
        instanceCreateHTN.newposition.inactive__c = false;
        instanceCreateHTN.newposition.RGB__c = '41,210,117';
        instanceCreateHTN.newposition.Team_iD__c = baseTeam.id;
        instanceCreateHTN.newposition.Effective_End_Date__c= Date.newInstance(2018, 1, 1);
        instanceCreateHTN.newposition.Effective_start_Date__c=Date.newInstance(2015, 2, 1);
        instanceCreateHTN.newposition.Hierarchy_Level__c = '1';
        instanceCreateHTN.newposition.parent_position__c = district.id;
        instanceCreateHTN.isEnforcedOverlay = false;
        
        instanceCreateHTN.IdentifyOperationType();
        system.debug(instanceCreateHTN.oldPosition);
        instanceCreateHTN.oldposition = territory;
        instanceCreateHTN.oldposition.parent_position__c = district.id;
        instanceCreateHTN.newposition.parent_position__c = district1.id;
        instanceCreateHTN.getNewBasePositions();
        instanceCreateHTN.newposition.Name = 'Sample Territory 1';
        instanceCreateHTN.validationCheck();
        instanceCreateHTN.confirmClick();
        instanceCreateHTN.updateAttribute();
        instanceCreateHTN.hideToast();
        instanceCreateHTN.refreshPositionTypeList();
      
        
        instanceCreateHTN.crTrackingOn = false;
        scenario.CR_Tracking__c = false;
        instanceCreateHTN.IdentifyOperationType();

        instanceCreateHTN.selectedTeamCycle = BaseTeamInstance.id;
        instanceCreateHTN.IdentifyOperationType();
        system.debug(instanceCreateHTN.oldPosition);
        instanceCreateHTN.oldposition = territory;
        instanceCreateHTN.oldposition.parent_position__c = district.id;
        instanceCreateHTN.newposition.parent_position__c = district1.id;
        instanceCreateHTN.getNewBasePositions();
        instanceCreateHTN.newposition.Name = 'Sample Territory 1';
        instanceCreateHTN.validationCheck();
        test.startTest();
        instanceCreateHTN.confirmClick();
        instanceCreateHTN.updateAttribute();
        instanceCreateHTN.hideToast();
        instanceCreateHTN.refreshPositionTypeList();
     	instanceCreateHTN.resetEverything();   
        test.stopTest();
    }

    
    static testMethod void TestHierarchyChangeBase(){
        
        TriggerContol__c triggerControl1 = new TriggerContol__c (IsStopTrigger__c = true , Name='SecurityUtil');
         insert triggerControl1;
     
        CreatePositionCtrl baseHierarchyChange = new CreatePositionCtrl();
        system.debug(baseHierarchyChange.oldOperationType);
        system.debug(baseHierarchyChange.namespaceOrg);

        test.startTest();
        //baseHierarchyChange.dummyCR.Change_Effective_Date__c = system.today();
        baseHierarchyChange.parentID = Territory.id;
        baseHierarchyChange.selectedTeamCycle = baseTeamInstance.id;
        baseHierarchyChange.module = 'Alignment';
        baseHierarchyChange.operationType = 'Hierarchy Change';
        baseHierarchyChange.hierarchyLevel = 1;
        
        system.debug('--Position Team Instance ' + baseHierarchyChange.posTeamInst);
        system.debug('-- showHierarchyChangePopUP' + baseHierarchyChange.showHierarchyChangePopUp);
        baseHierarchyChange.getNewBasePositions();

        baseHierarchyChange.newPosition = territory;
        baseHierarchyChange.newposition.parent_position__c = district1.id;
        baseHierarchyChange.dummyCR = new Change_Request__c();
        baseHierarchyChange.dummyCR.Change_Effective_Date__c = system.today();
        baseHierarchyChange.confirmclick();
        baseHierarchyChange.HierarchyChange();
        test.stopTest();
    } 
    
    static testMethod void TestCreatePositionComponentOverlay(){
        system.debug('--method started');

       
        CreatePositionCtrl instanceCreateOverlay = new CreatePositionCtrl();
        
        CreatePositionCtrl.BasePositionsWrapper wrapper = new CreatePositionCtrl.BasePositionsWrapper(territoryTeamInstanceOverlay);
        wrapper.basePositionTeamInstance = territoryTeamInstanceOverlay;
        wrapper.relatedOverlayPositionName = 'sample';
        wrapper.status = 'Pending';
        wrapper.isDisabled = true;
        
        test.startTest();
        
        instanceCreateOverlay.parentID = district.id;
        instanceCreateOverlay.selectedTeamCycle = OverlayTeamInstance.id;
        instanceCreateOverlay.module = 'Alignment';
        instanceCreateOverlay.operationType = 'Create';
        system.debug(instanceCreateOverlay.newPosition);
        system.debug(instanceCreateOverlay.basePositions);
        system.debug(instanceCreateOverlay.columnsDisplayList);
        system.debug(instanceCreateOverlay.isOperationCreateComplete);
        system.debug(instanceCreateOverlay.popUPlabel);

        instanceCreateOverlay.isEditValidationString = 'dummy string';
        instanceCreateOverlay.isDeleteValidationString = 'dummy string';
        instanceCreateOverlay.selectedTeam = OverlayTeam.id;

        instanceCreateOverlay.newposition.Client_Territory_Name__c = 'North1212 east';
        instanceCreateOverlay.newposition.Client_Position_Code__c = 'wewe';
        instanceCreateOverlay.newposition.Client_Territory_Code__c='1NEdfd30000';
        instanceCreateOverlay.newposition.Position_Type__c='Territory';
        instanceCreateOverlay.newposition.inactive__c = false;
        instanceCreateOverlay.newposition.RGB__c = '41,210,117';
        instanceCreateOverlay.newposition.Team_iD__c = overlayTeam.id;
        instanceCreateOverlay.newposition.team_instance__c = overlayTeamInstance.id;
        instanceCreateOverlay.newposition.Effective_End_Date__c = Date.newInstance(2018,1,1);
        instanceCreateOverlay.newposition.Effective_start_Date__c = Date.newInstance(2015,1,1);
        instanceCreateOverlay.newposition.Hierarchy_Level__c = '1';
        instanceCreateOverlay.isEnforcedOverlay = false;
        
        instanceCreateOverlay.fetchSelectedBasePositionIds();
        instanceCreateOverlay.getNewBasePositions();
        instanceCreateOverlay.newposition.Name = 'Sample';
        instanceCreateOverlay.newPosition.Client_Position_Code__c = 'Terr0001Sample';
        instanceCreateOverlay.confirmClick();
        instanceCreateOverlay.IdentifyOperationType();

        instanceCreateOverlay.crTrackingOn = false;
        system.debug(instanceCreateOverlay.newPosition);
        instanceCreateOverlay.newposition.Name = 'Sample';
        instanceCreateOverlay.newPosition.Client_Position_Code__c = 'Terr0001Sample';
        instanceCreateOverlay.IdentifyOperationType();
        
        system.debug('--method end');
        
    }   

    static testMethod void TestEditPositionComponent(){ 
        
        TriggerContol__c triggerControl2 = new TriggerContol__c (IsStopTrigger__c = true , Name='SecurityUtil');
         insert triggerControl2;
     
      
        CreatePositionCtrl instanceEditHTN = new CreatePositionCtrl();
        
        CreatePositionCtrl.BasePositionsWrapper wrapper = new CreatePositionCtrl.BasePositionsWrapper(territoryTeamInstance);
        wrapper.basePositionTeamInstance = territoryTeamInstance;
        wrapper.relatedOverlayPositionName = 'sample';
        wrapper.status = 'Pending';
        wrapper.isDisabled = true;
        
        instanceEditHTN.parentID = territory.id;
        instanceEditHTN.selectedTeam = BaseTeam.id;
        instanceEditHTN.selectedTeamCycle = BaseTeamInstance.id;
        //instanceEditHTN.TeamName = baseTeam.Name;
        
        instanceEditHTN.operationType = 'Edit';
        instanceEditHTN.module = 'Alignment';
        system.debug(instanceEditHTN.teamType);
        system.debug(instanceEditHTN.teamInstanceEffectiveStartDate);
        system.debug(instanceEditHTN.teamInstanceEffectiveEndDate);
    
        system.debug('--newPosition ' + instanceEditHTN.newPosition);
        instanceEditHTN.newPosition = territory;
        instanceEditHTN.newPosition.Effective_start_Date__c = date.today();
        instanceEditHTN.newPosition.name = '';
        system.debug(instanceEditHTN.basePositions);
        system.debug(instanceEditHTN.isOverlayBasePositionsShow);
        system.debug(instanceEditHTN.posTeamInst);
        system.debug(instanceEditHTN.isOperationCreateComplete);
        system.debug(instanceEditHTN.hierarchyLevel);
        system.debug(instanceEditHTN.newPositionHierarchyType);
        system.debug(instanceEditHTN.baseTeamID);
        system.debug(instanceEditHTN.teamType);
        system.debug(instanceEditHTN.popUPlabel);
        system.debug(instanceEditHTN.isEditValidationPass);
        system.debug(instanceEditHTN.isDeleteValidationPass);
        system.debug(instanceEditHTN.fetchAllRequiredColumns);
        system.debug(instanceEditHTN.baseTeamInstance);
        system.debug(instanceEditHTN.teamInstanceEffectiveStartDate);
        system.debug(instanceEditHTN.teamInstanceEffectiveEndDate);
        system.debug(instanceEditHTN.positionSelectedName);
        //system.debug(instanceEditHTN.posToDeleteGeography);
        system.debug(instanceEditHTN.isEditValidationString);
        system.debug(instanceEditHTN.isDeleteValidationString);
        system.debug(instanceEditHTN.urlRedirect);
        system.debug(instanceEditHTN.oldPosition);
        instanceEditHTN.isEditValidationString = 'dummy string';
        instanceEditHTN.isDeleteValidationString = 'dummy string';
        
        instanceEditHTN.newPosition = territory;
        instanceEditHTN.oldPosition = territory1;
        instanceEditHTN.oldPosition.Parent_Position__c = district1.id;
        
        instanceEditHTN.IdentifyOperationType();
        instanceEditHTN.newPosition = territory;
        instanceEditHTN.newPosition.name = 'Sample Position';
        instanceEditHTN.newPosition.Parent_Position__c = district.id;
        
        instanceEditHTN.IdentifyOperationType();
        instanceEditHTN.fetchSelectedBasePositionIds();
        
        instanceEditHTN.newPosition = territory;
        instanceEditHTN.newPosition.name = null;
        //instanceEditHTN.newPosition.parent_position__c = territoryOverlay1.id;
        instanceEditHTN.newPosition.client_position_code__c = 'newTerr0001';
        instanceEditHTN.IdentifyOperationType();
        instanceEditHTN.newPosition = territory;
        instanceEditHTN.newPosition.Name = 'Sample Territory 2';
        instanceEditHTN.validationCheck();
        instanceEditHTN.fetchSelectedBasePositionIds();
        instanceEditHTN.getNewBasePositions();
        instanceEditHTN.confirmclick();
        instanceEditHTN.closeConfirmPopUp();
         
    }   

    static testMethod void TestEditPositionComponentOverlay(){
        
      
        district.Related_Position_Type__c = 'Base';
        
        district1.Related_Position_Type__c = 'Base';
        
        CreatePositionCtrl instanceEditOverlay = new CreatePositionCtrl();
        
        CreatePositionCtrl.BasePositionsWrapper wrapper = new CreatePositionCtrl.BasePositionsWrapper(territoryTeamInstanceOverlay);
        wrapper.basePositionTeamInstance = territoryTeamInstanceOverlay;
        wrapper.relatedOverlayPositionName = 'sample';
        wrapper.status = 'Pending';
        wrapper.isDisabled = true;
        
        overlayTeamInstance.Converging_Level__c = 2;

        instanceEditOverlay.parentID = territoryOverlay.id;
        instanceEditOverlay.module = 'Alignment';
        instanceEditOverlay.selectedTeamCycle = overlayTeamInstance.id;
        instanceEditOverlay.operationType = 'Edit';
        instanceEditOverlay.hierarchyLevel = 1;
        
        instanceEditOverlay.posTeamInst = territoryTeamInstanceOverlay;
        system.debug('--Position Team Instance ' + instanceEditOverlay.posTeamInst);
        system.debug('--selectedPositionRelatedPositionType ' + instanceEditOverlay.selectedPositionRelatedPositionType);
        system.debug('--newPosition ' + instanceEditOverlay.newPosition);
        instanceEditOverlay.newPosition = territoryOverlay;
        instanceEditOverlay.newPosition.Effective_start_Date__c = date.today();
        system.debug(instanceEditOverlay.basePositions);
      
        instanceEditOverlay.isEditValidationString = 'dummy string';
        instanceEditOverlay.isDeleteValidationString = 'dummy string';
        
        test.startTest();        
        system.debug('--newPosition ' + instanceEditOverlay.newPosition);
        instanceEditOverlay.newPosition = territoryOverlay;
        //instanceEditOverlay.validationCheck();
        instanceEditOverlay.showOverlayBasePositions();
        instanceEditOverlay.newPosition.parent_position__c = district1.id;
        instanceEditOverlay.newPosition.client_position_code__c = 'dist0009';
        instanceEditOverlay.IdentifyOperationType();
        instanceEditOverlay.getNewBasePositions();
        instanceEditOverlay.confirmclick();
        test.stopTest();
       

    }

	
    
    static testMethod void TestDeletePositionComponent(){   
     
        Geography__c geo = new Geography__c();
        geo.Name = '1123';
        insert geo;
        
        position_geography__c posGeo = new position_geography__c();
        posGeo.Position_Team_Instance__c = territoryTeamInstance.Id;
        posGeo.Team_Instance__c = BaseTeamInstance.Id;
        posGeo.Geography__c = geo.Id;
        posGeo.Effective_Start_Date__c = Date.newInstance(2012, 12, 31);
        posGeo.Effective_End_Date__c = Date.newInstance(2019, 12, 31);
        insert posGeo;
        
		BaseTeamInstance.IsCascadeDeleteAssignments__c = true;
        territory.Team_Instance__C = BaseTeamInstance.Id;
        
        CreatePositionCtrl instanceDeleteHTN = new CreatePositionCtrl();
        instanceDeleteHTN.parentID = territory.id;
        instanceDeleteHTN.module = 'Alignment';
        //baseTeamInstance.IsCascadeDeleteAssignments__c = true;
        instanceDeleteHTN.selectedTeamCycle = BaseTeamInstance.id;
        instanceDeleteHTN.operationType = 'Delete';
        instanceDeleteHTN.newPosition = territory;
        System.debug('-- '+instanceDeleteHTN.newPosition);
		instanceDeleteHTN.deletePosition();
        system.debug(instanceDeleteHTN.isDeleteValidationPass);
        system.debug(instanceDeleteHTN.showDeletePopup);
        system.debug(instanceDeleteHTN.popUPlabel); 
        instanceDeleteHTN.newPosition = territory;
        instanceDeleteHTN.newPosition.Effective_End_Date__c = baseTeamInstance.IC_EffendDate__c - 1;
        instanceDeleteHTN.confirmclick();
        instanceDeleteHTN.IdentifyOperationType();

        baseTeamInstance.IsCascadeDeleteAssignments__c = false;
        instanceDeleteHTN.confirmclick();
        instanceDeleteHTN.IdentifyOperationType();
        
            
    } 

    static testMethod void teamUpdateAttributesBase(){
        
         TriggerContol__c triggerControlupdate = new TriggerContol__c (IsStopTrigger__c = true , Name='SecurityUtil');
         insert triggerControlupdate;
    
        CreatePositionCtrl instanceAttributesHTN = new CreatePositionCtrl();
        test.startTest();
        
        system.debug('-- attributes start');
        instanceAttributesHTN.parentID = territory.id;
        instanceAttributesHTN.selectedTeamCycle = baseTeamInstance.id;
        instanceAttributesHTN.module = 'Alignment';
        instanceAttributesHTN.operationType = 'Update Position Attributes';

        system.debug(instanceAttributesHTN.newPosition);
        system.debug(instanceAttributesHTN.isUpdateAttributePassed);
        system.debug(instanceAttributesHTN.popUPlabel);
        instanceAttributesHTN.confirmclick();
        instanceAttributesHTN.newPosition = territory;
        instanceAttributesHTN.newPosition.name = 'Sample';
        instanceAttributesHTN.newPosition.Parent_Position__c = district1.Id;
        instanceAttributesHTN.confirmclick();
        instanceAttributesHTN.IdentifyOperationType();
        system.debug('-- attributes end');
        test.stopTest();
    }

    static testMethod void TestDeletePositionComponentOverlay(){
        
        CreatePositionCtrl instanceDeleteHTN = new CreatePositionCtrl();
        instanceDeleteHTN.parentID = territoryOverlay.id;
        instanceDeleteHTN.module = 'Alignment';
        instanceDeleteHTN.selectedTeamCycle = overlayTeamInstance.id;
        overlayTeamInstance.IsCascadeDeleteAssignments__c = true;
        //instanceDeleteHTN.TeamName = baseTeam.Name;
        //instanceDeleteHTN.newPosition = territory;
        //instanceDeleteHTN.newPosition.Effective_End_Date__c =  Date.newInstance(2019, 12, 31);
        
        instanceDeleteHTN.operationType = 'Delete';
       
        instanceDeleteHTN.isEditValidationString = 'dummy string';
        instanceDeleteHTN.isDeleteValidationString = 'dummy string';
        
        instanceDeleteHTN.IdentifyOperationType();
        system.assertEquals(instanceDeleteHTN.showDeletePopup,true);
        instanceDeleteHTN.newPosition.Effective_End_Date__c = instanceDeleteHTN.newPosition.Effective_End_Date__c.addDays(10);
        instanceDeleteHTN.checkDeleteValidation();
        instanceDeleteHTN.confirmClick();
        instanceDeleteHTN.deletePosition();        
         
    }  

    static testMethod void testSalesIQutility(){
        SalesIQUtility.getChildPositions(Territory.id, system.today());

        Employee__c empObj = CallPlanTestDataFactory.createEmployee();
        Position_Employee__c posEmployee = CallPlanTestDataFactory.createPosEmploye(Territory, empObj);

        SalesIQUtility.getAssociatedPositionEmployees(Territory.id, system.today());
        SalesIQUtility.getAssociatedPositionAccounts(Territory.id, baseTeamInstance.id, system.today());
        
        SalesIQUtility.getAssociatedPositionGeographies(Territory.id, baseTeamInstance.id, system.today());
        SalesIQUtility.getTeamInstanceBasedOnDate(system.today(), baseTeam.id);

        SalesIQUtility.getPositionbyRootPositionId(Territory.id);

        //SalesIQUtility.getPositionbyRootPositionIdRoster(Territory.id, 'Base', system.today(), system.today() + 1);
        SalesIQUtility.getPositionTeamInstanceMapUsingEffectiveDates(new set<ID>{Territory.id}, system.today(), system.today() + 1);
        SalesIQUtility.getPositionById(Territory.id);
        SalesIQUtility.isFutureActiveChangeRequest(Territory.id, baseTeamInstance.id);
        SalesIQUtility.createPosition('Territory', 'Vacant', district.id, 'Dummy Territory', false, BaseTeam.id, 'Dummy Territory', system.today(), system.today());
        SalesIQUtility.UpdatePostion(Territory.id, false, system.today());

        Change_Request_Type__c newPositionReqType2new =  CallPlanTestDataFactory.CreateRequestType(SalesIQGlobalConstants.Update_POSITION);
        insert newPositionReqType2new;
        
        Change_Request__c createPosRequest = new Change_Request__c();        
        createPosRequest.Status__c = SalesIQGlobalConstants.REQUEST_STATUS_APPROVED;
        createPosRequest.Destination_Position__c = territory.id;
        createPosRequest.Destination_Positions__c=  baseTeamInstance.id;
        createPosRequest.Source_Positions__c=  baseTeamInstance.id;
        createPosRequest.Source_Position__c = territory.id;
        createPosRequest.Team_Instance_ID__c =  baseTeamInstance.id;
        createPosRequest.Change_Effective_Date__c = date.today();
        createPosRequest.RecordTypeID__c= newPositionReqType2new.id;
        createPosRequest.Request_Type_Change__c = 'Create Position';
        createPosRequest.AllZips__c = '11099,12388,13077,19977';
        insert createPosRequest;     
        
        CR_Position__c CRPos = CallPlanTestDataFactory.createCRPosition(createPosRequest);  
        CRPos.position__c = territory.id;  
        insert CRPos;
        
        SalesIQUtility.createCIMpositionMetricForEmptyPosition(newPositionReqType2new.id, baseTeamInstance.id, territoryTeamInstance.id);
        SalesIQUtility.getPositionByType('Territory', BaseTeam.id, district.id);
        SalesIQUtility.getUnassignedPositionByTeamName('Territory', BaseTeam.id);
        //SalesIQUtility.getCRPositionById(territory.id);
        SalesIQUtility.getRelatedPositions(new set<id>{Territory.id});
        SalesIQUtility.getBaseTeamByOverlayTeam(baseTeamInstance.id);
        SalesIQUtility.getBaseTeamByOverlayTeam(overlayTeamInstance.id);
        SalesIQUtility.getTeamInstanceByPositionID(new set<string>{Territory.id});
        //createCRempAssgn

    }*/
}